{
  "type": "minecraft:crafting_shaped",
  "key": {
    "R": {
      "tag": "forge:dusts/redstone"
    },
    "P": {
      "item": "essentials:multi_piston"
    },
    "T": {
      "tag": "minecraft:planks"
    },
    "X": {
      "tag": "forge:ingots/bronze"
    }
  },
  "pattern": [
    "TTT",
    "XRX",
    "XPX"
  ],
  "result": {
    "item": "minecraft:piston",
    "count": 2
  }
}